Skip to main content

GetChannelList / GetChannelInfo

Retrieves the channel list from the device. The endpoint name changed between API versions.

Endpoint

FieldValue
MethodPOST or GET
URL (v1.9)http://<host>[:port]/GetChannelList
URL (v2.0)http://<host>[:port]/GetChannelInfo
ProductsNVR (v1.9), IPC + NVR (v2.0)
Channel IDN/A

Response Fields (v2.0)

FieldTypeDescription
channelIduint32Channel number (starts from 1)
namestringUser-assigned channel name
statuschannelStatusCurrent channel status
attributechannelTypeChannel type classification

Channel Status Values

StatusDescription
onlineChannel is connected and active
offlineChannel is disconnected
videoOnVideo feed is active
videoLossVideo signal lost

Channel Type Values (v2.0)

TypeDescription
NormalStandard camera channel
ThermalThermal imaging channel
FisheyeFisheye lens channel
PanoramicPanoramic camera channel
PTZPan-tilt-zoom channel
4PTZFusion4-channel PTZ fusion

Response (v2.0 -- GetChannelInfo)

<?xml version="1.0" encoding="UTF-8"?>
<config version="2.0.0" xmlns="http://www.ipc.com/ver10">
<types>
<channelStatus>
<enum>online</enum>
<enum>offline</enum>
<enum>videoOn</enum>
<enum>videoLoss</enum>
</channelStatus>
<channelType>
<enum>Normal</enum>
<enum>Thermal</enum>
<enum>Fisheye</enum>
<enum>Panoramic</enum>
<enum>PTZ</enum>
<enum>4PTZFusion</enum>
</channelType>
</types>
<channelList type="list" count="1">
<item>
<channelId type="uint32">1</channelId>
<name type="string"><![CDATA[channel1]]></name>
<status type="channelStatus">online</status>
<attribute type="channelType">Normal</attribute>
</item>
</channelList>
</config>

Response (v1.9 -- GetChannelList, NVR only)

<?xml version="1.0" encoding="UTF-8"?>
<config version="1.0" xmlns="http://www.ipc.com/ver10">
<types>
<channelStatus>
<enum>online</enum>
<enum>offline</enum>
<enum>videoOn</enum>
<enum>videoLoss</enum>
</channelStatus>
</types>
<channelIDList type="list" count="4"/>
<itemType type="string" maxLen="20"/>
<item channelStatus="online">1</item>
<item channelStatus="online">2</item>
<item channelStatus="online">3</item>
<item channelStatus="online">4</item>
</config>

Notes

  • v1.9 GetChannelList is NVR only. If deviceDescription equals IPCamera, do not send this command.
  • Channel ID starts from 1.
v2.0 Changes

v2.0 adds channel names, channel types (Normal, Thermal, Fisheye, etc.), and works on both IPC and NVR. The endpoint was renamed from GetChannelList to GetChannelInfo.